Page MenuHomePhabricator

Infusing a ButtonInputWidget loses the class added in PHP
Closed, ResolvedPublic

Description

I created a ButtonInputWidget through HTMLForm:

		$form->addButton( 'deny',
			$this->msg( 'globalrenamequeue-request-deny-text' )->text(),
			'mw-renamequeue-deny',
			array(
				'class' => 'mw-globalrenamequeue-submit',
				'flags' => array( 'destructive', 'primary' ),
				'infusable' => true,
			)
		);

When I infuse this on the client side (OO.ui.infuse('mw-renamequeue-deny')), it loses the mw-globalrenamequeue-submit class.

Event Timeline

Legoktm created this task.Jun 30 2015, 7:00 AM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added a project: OOUI.
Legoktm added a subscriber: Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 30 2015, 7:00 AM
matmarex claimed this task.Aug 6 2015, 8:57 PM

Change 229659 had a related patch set uploaded (by Bartosz Dziewoński):
Element: Preserve 'classes' config option through infusion

https://gerrit.wikimedia.org/r/229659

Jdforrester-WMF renamed this task from infusing a ButtonInputWidget loses the class added in PHP to Infusing a ButtonInputWidget loses the class added in PHP.Aug 6 2015, 9:12 PM
Jdforrester-WMF triaged this task as High priority.
Jdforrester-WMF set Security to None.
Jdforrester-WMF moved this task from Backlog to Doing on the OOUI board.Aug 7 2015, 6:22 PM

Change 229659 merged by jenkins-bot:
Element: Preserve 'classes' config option through infusion

https://gerrit.wikimedia.org/r/229659

Legoktm closed this task as Resolved.Aug 8 2015, 8:46 AM
Legoktm edited projects, added OOjs-UI-next-release; removed Patch-For-Review.
Jdforrester-WMF moved this task from Doing to Reviewing on the OOUI board.Aug 26 2015, 1:38 AM